## gftools 0.5.2%2Bdfsg

=== debian/changelog ===
gftools (0.5.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.0.
  * Rebuild on buildd to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Sun, 26 Sep 2021 19:55:38 -0400

gftools (0.5.2+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #975676)

 -- Romain Porte <debian@microjoe.org>  Tue, 17 Nov 2020 22:38:35 +0100

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8

export PYBUILD_AFTER_INSTALL=./debian/rename-binaries.sh '{destdir}'

%:
	dh $@ --with python3 --buildsystem=pybuild

## gftools 0.5.2+dfsg

=== requirements.txt ===
fonttools[ufo]
#google-apputils
absl-py
protobuf
PyGithub
vttLib

=== debian/control ===
Source: gftools
Section: fonts
Priority: optional
Maintainer: Debian Fonts Team <debian-fonts@lists.debian.org>
Uploaders:
 Agathe Porte <debian@microjoe.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-absl,
 python3-all,
 python3-fonttools,
 python3-ots,
 python3-protobuf,
 python3-setuptools,
 python3-setuptools-scm,
 python3-strictyaml,
 python3-tabulate,
 python3-vttlib,
Standards-Version: 4.6.0
Homepage: https://github.com/googlefonts/gftools
Vcs-Git: https://salsa.debian.org/fonts-team/gftools.git
Vcs-Browser: https://salsa.debian.org/fonts-team/gftools
Rules-Requires-Root: no

Package: gftools
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Google Fonts Tools
 This project contains tools used for working with the Google Fonts collection,
 plus Google Fonts Glyph Set Documentation in the /encodings subdirectory.
 While these tools are primarily intended for contributors to the Google Fonts
 project, anyone who works with fonts could find them useful.

=== debian/watch ===
version=4
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
  filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/gftools-$1\.tar\.gz/ \
  https://github.com/googlefonts/gftools/tags .*/v?(\d\S+)\.tar\.gz

## gftools 0.9.68+dfsg

=== debian/changelog ===
gftools (0.9.68+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream version 0.9.68+dfsg (Closes: #1013213)
  * Load ninja_syntax from gftools
  * d/watch: Use git mode with proper repacking
  * Add dependencies
  * Run test_dependencies.py which needs Lora font

 -- Bastian Germann <bage@debian.org>  Fri, 18 Jul 2025 16:59:23 +0200

gftools (0.5.2+dfsg-3) unstable; urgency=medium

  * Update metadata

 -- Agathe Porte <debian@microjoe.org>  Tue, 03 Jan 2023 20:54:48 +0100

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,30 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- python3-absl,
+ pybuild-plugin-pyproject,
+ python3-axisregistry <!nocheck>,
  python3-all,
+ python3-bs4 <!nocheck>,
+ python3-bumpfontversion,
+ python3-fontfeatures,
+ python3-fontmake <!nocheck>,
  python3-fonttools,
- python3-ots,
+ python3-gflanguages,
+ python3-gfsubsets,
+ python3-github <!nocheck>,
+ python3-networkx <!nocheck>,
+ python3-ots <!nocheck>,
+ python3-pil <!nocheck>,
  python3-protobuf,
+ python3-pygit2 <!nocheck>,
+ python3-pytest <!nocheck>,
  python3-setuptools,
  python3-setuptools-scm,
  python3-strictyaml,
  python3-tabulate,
- python3-vttlib,
+ python3-ttfautohint-py,
+ python3-unidecode <!nocheck>,
+ python3-yaml,
 Standards-Version: 4.6.0
 Homepage: https://github.com/googlefonts/gftools
 Vcs-Git: https://salsa.debian.org/fonts-team/gftools.git
@@ -28,6 +42,8 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+ libjs-chart.js,
+ ninja-build,
 Description: Google Fonts Tools
  This project contains tools used for working with the Google Fonts collection,
  plus Google Fonts Glyph Set Documentation in the /encodings subdirectory.

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8

export PYBUILD_TEST_ARGS=tests/test_dependencies.py

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_before_dh_auto_build:
	cp debian/ninja_syntax.py Lib/gftools/builder

## gftools 0.9.85+dfsg

=== debian/changelog ===
gftools (0.9.85+dfsg-2) unstable; urgency=medium

  * Team upload
  * Correct ninja subprocess call

 -- Bastian Germann <bage@debian.org>  Wed, 03 Sep 2025 16:14:03 +0200

gftools (0.9.85+dfsg-1) unstable; urgency=medium

  * Team upload
  * Prevent installing gftools-add-ds-subsets
  * Move unpackaged import due to its usage
  * New upstream version 0.9.85+dfsg

 -- Bastian Germann <bage@debian.org>  Mon, 25 Aug 2025 23:44:56 +0200

gftools (0.9.68+dfsg-3) unstable; urgency=medium

  * Team upload

  [ Agathe Porte ]
  * introduce d/gbp.conf

  [ Alexandre Detiste ]
  * use dh-sequence-python3
  * drop "Rules-Requires-Root: no": it is the new default
  * bump Standards-Version to 4.7.2

 -- Bastian Germann <bage@debian.org>  Mon, 25 Aug 2025 20:43:03 +0200

gftools (0.9.68+dfsg-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Bastian Germann <bage@debian.org>  Sun, 10 Aug 2025 16:00:05 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Agathe Porte <debian@microjoe.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-axisregistry <!nocheck>,
  python3-all,
@@ -31,11 +31,10 @@
  python3-ttfautohint-py,
  python3-unidecode <!nocheck>,
  python3-yaml,
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/googlefonts/gftools
 Vcs-Git: https://salsa.debian.org/fonts-team/gftools.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/gftools
-Rules-Requires-Root: no
 
 Package: gftools
 Architecture: all

## gftools 0.9.95%2Bdfsg

=== debian/changelog ===
gftools (0.9.95+dfsg-1) unstable; urgency=medium

  [ Bastian Germann ]
  * Import upstream patch for syntax errors
  * Drop unnecessary script

  [ Agathe Porte ]
  * Mark most patches as forwarded: not-needed
  * New upstream version 0.9.95+dfsg (Closes: #1083412)
  * Add python3-glyphsets dep
  * Update maintainer email address

 -- Agathe Porte <gagath@debian.org>  Thu, 30 Oct 2025 12:25:19 +0100

## gftools 0.9.95+dfsg

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Fonts Team <debian-fonts@lists.debian.org>
 Uploaders:
- Agathe Porte <debian@microjoe.org>,
+ Agathe Porte <gagath@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  pybuild-plugin-pyproject,
+ python3-all,
  python3-axisregistry <!nocheck>,
- python3-all,
  python3-bs4 <!nocheck>,
  python3-bumpfontversion,
  python3-fontfeatures,
@@ -18,6 +18,7 @@
  python3-gflanguages,
  python3-gfsubsets,
  python3-github <!nocheck>,
+ python3-glyphsets,
  python3-networkx <!nocheck>,
  python3-ots <!nocheck>,
  python3-pil <!nocheck>,

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8

export PYBUILD_TEST_ARGS=tests/test_dependencies.py

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_build:
	cp debian/ninja_syntax.py Lib/gftools/builder

=== debian/watch ===
version=4
opts=mode=git,dversionmangle=auto,repacksuffix=+dfsg \
  https://github.com/googlefonts/gftools.git refs/tags/v(\d\S+)

## gftools 0.9.98+dfsg

=== debian/changelog ===
gftools (0.9.98+dfsg-2) unstable; urgency=medium

  * Team upload
  * Add debian/salsa-ci.yml
  * Add a patch to avoid generating a runtime dependency on python3-setuptools

 -- Alexandre Detiste <tchet@debian.org>  Fri, 23 Jan 2026 13:25:40 +0100

gftools (0.9.98+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.98+dfsg
  * debian/watch: Update to version 5.
  * Bump Standards-Version to 4.7.3.

 -- Boyuan Yang <byang@debian.org>  Thu, 22 Jan 2026 15:20:15 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gftools
 Section: fonts
-Priority: optional
 Maintainer: Debian Fonts Team <debian-fonts@lists.debian.org>
 Uploaders:
  Agathe Porte <gagath@debian.org>,
@@ -32,7 +31,7 @@
  python3-ttfautohint-py,
  python3-unidecode <!nocheck>,
  python3-yaml,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/googlefonts/gftools
 Vcs-Git: https://salsa.debian.org/fonts-team/gftools.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/gftools

## gftools 0.9.99+dfsg

=== debian/changelog ===
gftools (0.9.99+dfsg-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Add missing (build-)dependency python3-font-v since
    it is now available in Debian.
  * debian/control: Explicitly add binary dependency fontmake because
    gftools needs the fontmake executable in some library functions.
    (really closes: #1127472)

 -- Boyuan Yang <byang@debian.org>  Mon, 16 Feb 2026 18:50:02 -0500

gftools (0.9.99+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.9.99+dfsg
  * Do-not-depends-on-setuptools-at-runtime.patch: Dropped, merged upstream.
  * Drop revent-installing-gftools-add-ds-subsets.patch as ufomerge is now
    available. (Closes: #1127472)
  * Add missing build-dep: ufomerge.

 -- Boyuan Yang <byang@debian.org>  Wed, 11 Feb 2026 09:35:30 -0500

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  python3-axisregistry <!nocheck>,
  python3-bs4 <!nocheck>,
  python3-bumpfontversion,
+ python3-font-v (>= 2.1.0-3~),
  python3-fontfeatures,
  python3-fontmake <!nocheck>,
  python3-fonttools,
@@ -31,6 +32,7 @@
  python3-ttfautohint-py,
  python3-unidecode <!nocheck>,
  python3-yaml,
+ ufomerge,
 Standards-Version: 4.7.3
 Homepage: https://github.com/googlefonts/gftools
 Vcs-Git: https://salsa.debian.org/fonts-team/gftools.git
@@ -41,6 +43,7 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+ fontmake,
  libjs-chart.js,
  ninja-build,
 Description: Google Fonts Tools

## gftools 0.9.991+dfsg

=== debian/changelog ===
gftools (0.9.991+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Drop now unnecessary ufomerge patch.
  * Install gftools-check-vertical-extents.

 -- Bastian Germann <bage@debian.org>  Sat, 28 Feb 2026 11:41:35 +0100

gftools (0.9.991+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 23 Feb 2026 17:49:29 -0500

=== debian/control ===
--- 
+++ 
@@ -31,6 +31,7 @@
  python3-tabulate,
  python3-ttfautohint-py,
  python3-unidecode <!nocheck>,
+ python3-vharfbuzz,
  python3-yaml,
  ufomerge,
 Standards-Version: 4.7.3
